Bug 144564 - Intuitive way to preserve symbolic links
Summary: Intuitive way to preserve symbolic links
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-08 12:44 UTC by Christopher Beland
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 10:28:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Beland 2005-01-08 12:44:40 UTC
openssh-clients-3.9p1-7

It would be handy if scp took an argument similar to cp's
--no-dereference, to allow it to preserve symbolic links.  That way,
it'd be easy to replicate a directory/file structure with links
intact, from machine to machine.

Currently, you have to do something like the following (arguably
non-intuititve, certainly less convenient) workaround.

tar -cf - /source | ssh hostname.domain tar -xf - -C /destination

Comment 1 Sitsofe Wheeler 2005-01-08 18:07:41 UTC
Or use rsync...

Comment 2 keith adamson 2005-01-09 00:20:45 UTC
as in ...

rsync -avze ssh \
    username@hostname:/name/of/directory/to/copy/from/ \
    /name/of/directory/to/copy/to/

or ...

rsync -avze ssh \
    /name/of/directory/to/copy/from/ \
    username@hostname:/name/of/directory/to/copy/to/

rsync is great!!    

Comment 3 Tomas Mraz 2005-02-10 10:28:34 UTC
Sorry but this was rejected upstream as it would break the rcp/scp
protocol. Use sftp or rsync.



Note You need to log in before you can comment on or make changes to this bug.